using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DiplomovaPrace.Contracts.Products.InputModels
{
	[DataContract]
	public class ProductIM
	{
		[DataMember(Order = 1)]
		[Required(ErrorMessage = "Název je vyžadován!")]
		[MaxLength(50, ErrorMessage = "Maximální délka řetězce je 50 znaků!")]
		public string Name { get; set; }

		[DataMember(Order = 2)]
		[Required(ErrorMessage = "Cena je vyžadována!")]
		[Range(typeof(decimal), "1", "999999", ErrorMessage = "Zadejte validní cenu!")]
		public decimal Price { get; set; }

		[DataMember(Order = 3)]
		[Required(ErrorMessage = "Počet kusů na skladě je vyžadováno!")]
		[Range(1, 999, ErrorMessage = "Zadejte počet v rozsahu 1-999!")]
		public int AvailableQuantity { get; set; }

		[DataMember(Order = 4)]
		public int? CategoryID { get; set; }

		[DataMember(Order = 5)]
		public string Description { get; set; }

		[DataMember(Order = 6)]
		public string FileName { get; set; }

		[DataMember(Order = 7)]
		public byte[] Image { get; set; }
	}
}
